Loading...
Searching...
No Matches
casacore::FuncExprData::ExprCompState Struct Reference

The compilation state descriptor. More...

`#include <FuncExprData.h>`

## Public Attributes

uInt | rpslow
| Old index of low RPS boundary.
uInt | nval
uInt | argcnt
| Argument count.
uInt | pcptr
| Previous saved program counter.

## Detailed Description

The compilation state descriptor.

Definition at line 170 of file FuncExprData.h.

## Member Data Documentation

## argcnt

uInt casacore::FuncExprData::ExprCompState::argcnt

Argument count.

Definition at line 176 of file FuncExprData.h.

## nval

uInt casacore::FuncExprData::ExprCompState::nval

# of values available on value stack

Definition at line 174 of file FuncExprData.h.

## pcptr

uInt casacore::FuncExprData::ExprCompState::pcptr

Previous saved program counter.

Definition at line 178 of file FuncExprData.h.

## rpslow

uInt casacore::FuncExprData::ExprCompState::rpslow

Old index of low RPS boundary.

Definition at line 172 of file FuncExprData.h.

The documentation for this struct was generated from the following file:

- scimath/Functionals/FuncExprData.h